## multiboot 0.2.10-1

=== Makefile ===
# Makefile for multiboot

CFLAGS       :=	-O2 -Wall
LDFLAGS      :=	-s


BIN_TARGETS  :=	evkey/evkey

SBIN_TARGETS :=	scripts/multiboot 		\
		scripts/multiboot_read_item 	\
		scripts/multiboot_flash_kernel	\
		scripts/powerconfig 		\
		scripts/preinit_backup 		\
		scripts/preinit_real

ETC_TARGETS  :=	config/modules.boot.example	\
		config/power.conf.example

CONF_TARGETS :=	README

EXMP_TARGETS := $(wildcard config/examples/*)


all: build

build: evkey/evkey

evkey/evkey: evkey/evkey.c
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@


install:
	install -o root -g root -m 0755 -d $(DESTDIR)/etc
	install -o root -g root -m 0755 -d $(DESTDIR)/etc/multiboot.d
	install -o root -g root -m 0755 -d $(DESTDIR)/etc/multiboot.d/examples
	install -o root -g root -m 0755 -d $(DESTDIR)/bin
	install -o root -g root -m 0755 -d $(DESTDIR)/sbin
	install -o root -g root -m 0755 -d $(DESTDIR)/boot
	install -o root -g root -m 0755 -d $(DESTDIR)/boot/multiboot
	install -o root -g root -m 0755 $(BIN_TARGETS) $(DESTDIR)/bin/
	install -o root -g root -m 0755 $(SBIN_TARGETS) $(DESTDIR)/sbin/
	install -o root -g root -m 0644 $(ETC_TARGETS) $(DESTDIR)/etc/
	install -o root -g root -m 0644 $(CONF_TARGETS) $(DESTDIR)/etc/multiboot.d/
	install -o root -g root -m 0644 $(EXMP_TARGETS) $(DESTDIR)/etc/multiboot.d/examples/


clean:
	rm -f evkey/evkey

=== debian/changelog ===
multiboot (0.2.10-1) unstable; urgency=low

  * Minor changes to push to -devel

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 17 Aug 2010 18:20:22 +0300

multiboot (0.2.10) unstable; urgency=low

  * Conflict with kernel-power removed

 -- Jay Cartman <jay.cartman@gmail.com>  Thu, 12 Aug 2010 14:33:53 +0100

multiboot (0.2.9) unstable; urgency=low

  * Offline charging fixed

 -- Jay Cartman <jay.cartman@gmail.com>  Tue, 10 Aug 2010 09:40:23 +0100

multiboot (0.2.8) unstable; urgency=low

  * A few changes:
    - Search path for kernel images
    - Error message screen
    - New item examples for Maemo and Nitdroid

 -- Jay Cartman <jay.cartman@gmail.com>  Sun, 8 Aug 2010 11:12:11 +0100

multiboot (0.2.7) unstable; urgency=low

  * Proper handling of initfs mount point

 -- Jay Cartman <jay.cartman@gmail.com>  Mon, 2 Aug 2010 00:42:32 +0100

multiboot (0.2.6) unstable; urgency=low

  * Lots of fixes:
    - Maemo booting problem fixed
    - logging support added
    - initfs locations defaults to /mnt/initfs
    - item #0 added back to the boot screen
    - OMAP watchdog enabled (name fixed)
    - also flashes kernels from /boot

 -- Jay Cartman <jay.cartman@gmail.com>  Sun, 1 Aug 2010 22:40:12 +0100

multiboot (0.2.5) unstable; urgency=low

  * Added dependency to multiboot-extras

 -- Jay Cartman <jay.cartman@gmail.com>  Mon, 19 Jul 2010 16:42:44 +0100

multiboot (0.2.4) unstable; urgency=low

  * Fixes for display light, default boot item, fast boot, flash loop.

 -- Jay Cartman <jay.cartman@gmail.com>  Mon, 19 Jul 2010 12:32:18 +0100

multiboot (0.2.3) unstable; urgency=low

  * Fix for the keypad lid detection.

 -- Jay Cartman <jay.cartman@gmail.com>  Thu, 15 Jul 2010 23:56:18 +0100

multiboot (0.2.2) unstable; urgency=low

  * Boot previous item if slide is closed.
    Get slide state also from switch events.
    Clear bootstate for Maemo.

 -- Jay Cartman <jay.cartman@gmail.com>  Thu, 15 Jul 2010 17:57:47 +0100

multiboot (0.2.1) unstable; urgency=low

  * Module overlay implemented. Will use modules from the target system
    as soon as it is available. Source code for evkey added.
    Kernel storage path changed to /boot/multiboot/.

 -- Jay Cartman <jay.cartman@gmail.com>  Thu, 15 Jul 2010 12:27:08 +0100

multiboot (0.2.0) unstable; urgency=low

  * Initial Release.

 -- Jay Cartman <jay.cartman@gmail.com>  Wed, 14 Jul 2010 16:26:27 +0100

=== debian/control ===
Source: multiboot
Section: user/system
Priority: extra
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: multiboot
Architecture: armel
Depends: softupd (>= 0.4.0), getbootstate (>= 1.0.38+0m5)
Conflicts: bootmenu, bootmenu-n900
Suggests: multiboot-kernel-maemo, multiboot-kernel-power
Description: Maemo ULTimate BOOTloader
 This package installs an enhanced bootmenu, needed for booting 
 from a MMC card. This is required e.g. for booting other operating 
 systems, like Meego or Android.
 .
 This bootloader has many advanced features, including automatic kernel 
 flashing using flasher tools, kexec support, power configuration, etc.
 .
 This software was written by Jay Cartman <jay.cartman@gmail.com>
 .
XB-Maemo-Display-Name: Enhanced boot loader for Maemo
XB-Maemo-Flags: system-update

=== debian/rules ===
#!/usr/bin/make -f


configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) DESTDIR=$(CURDIR)/debian/multiboot build
	touch $@


binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/multiboot install


clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f build-stamp configure-stamp
	dh_clean



.PHONY: build clean binary-indep binary-arch binary install configure

## multiboot 0.6.96+20101113

=== debian/changelog ===
multiboot (0.6.96+20101113-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Colin Watson ]
  * Mark multiboot as Multi-Arch: foreign.
  * Only build example kernel on x86-ish architectures (closes: #976502,
    #976942).

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 Dec 2020 13:55:42 +0000

multiboot (0.6.96+20101113-2) unstable; urgency=medium

  * Change Maintainer to pkg-grub-devel@alioth-lists.debian.net, following
    Alioth lists migration.
  * Switch to git; move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 May 2018 13:00:50 +0100

multiboot (0.6.96+20101113-1) unstable; urgency=low

  * New Bazaar snapshot.
  * Use dh-autoreconf.
  * Convert from texi2html to makeinfo.
  * Drop cdbs; convert to debhelper v9 and dh.  Make sure to disable
    stack-protector and other hardening features which would otherwise be
    enabled by default.
  * Build-depend on gcc-multilib on amd64, so that -m32 works; although
    building this package on amd64 is really only relevant for test rebuilds
    (closes: #713606).
  * Move /usr/share/doc/multiboot/examples/kernel.gz to
    /usr/lib/multiboot/examples/kernel (now uncompressed), and leave a
    symlink behind.  While the previous version was tolerable since this
    file is included only as documentation, doing it this way causes less
    surprise and requires one fewer Lintian override (closes: #554187).
  * Add myself to Uploaders.
  * Remove obsolete DM-Upload-Allowed field.
  * Convert to source format 3.0 (quilt).
  * Add a Homepage field.
  * Drop lenny compatibility in install-info dependencies again; lenny is no
    longer supported, and the hack to support it here may cause upgrade
    problems.
  * Add Vcs-Bzr and Vcs-Browser fields.
  * Policy version 3.9.4.

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Sep 2013 10:49:53 +0100

multiboot (0.6.96+20100115-1) unstable; urgency=low

  * New Bazaar snapshot.
  * Move to Bazaar branch instead of tar-in-tar + debian/patches.

 -- Robert Millan <rmh.debian@aybabtu.com>  Fri, 15 Jan 2010 18:21:28 +0100

multiboot (0.6.96-2) unstable; urgency=low

  * Allow installation on Lenny.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 03 Jan 2010 15:15:31 +0000

multiboot (0.6.96-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS in squeeze: rm: cannot remove
    `debian/multiboot/usr/share/info/dir': No such file or directory":
    "rm -f" so that the file gets removed whether it's created or not (depends
    on having install-info installed or not); thanks to Justus Winter for his
    debugging help (closes: #595876).

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Sep 2010 16:58:29 +0200

multiboot (0.6.96-1) unstable; urgency=low

  * Initial release.  (Closes: #562484)

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 24 Dec 2009 18:50:23 +0100

=== debian/control ===
Source: multiboot
Section: doc
Priority: optional
Maintainer: GRUB Maintainers <pkg-grub-devel@alioth-lists.debian.net>
Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Felix Zielcke <fzielcke@z-51.de>, Jordi Mallach <jordi@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 gcc-multilib [amd64],
Build-Depends-Indep:
 texinfo,
Homepage: https://www.gnu.org/software/grub/manual/multiboot/
Vcs-Git: https://salsa.debian.org/grub-team/multiboot.git
Vcs-Browser: https://salsa.debian.org/grub-team/multiboot
Standards-Version: 3.9.4

Package: multiboot
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Suggests: doc-base
Replaces: grub-doc, multiboot-doc
Multi-Arch: foreign
Description: The Multiboot specification
 This specification, created in 1995, describes a method of loading various
 multiboot kernels using a single compliant boot loader (such as GNU GRUB)
 on i386-based computers.
 .
 It is used by a variety of kernel images, such as the Hurd, Xen, or NetBSD
 kernels.
 .
 An example implementation of a Multiboot kernel is provided.
 .
 For an example implementation of a Multiboot loader, check GRUB Legacy
 (grub-legacy package), or GRUB 2 (grub-pc package, and others).

=== debian/rules ===
#! /usr/bin/make -f

export DEB_CFLAGS_MAINT_STRIP := -fstack-protector
export DEB_BUILD_MAINT_OPTIONS := hardening=-all

include /usr/share/dpkg/default.mk

confflags :=
ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
	confflags += --enable-example-kernel
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	cd doc && makeinfo --html --split=chapter --output=html multiboot.texi

override_dh_auto_install:
	dh_auto_install
	rm -f debian/multiboot/usr/share/info/dir
